Subject: [PATCH 0/2] Add hueplusplus and openrgb packages
From: John Kehayias <[email-masked]>
To: Guix-patches <[email-masked]>
Date: Sun, 02 Jan 2022 17:12:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

Incoming are two patches for control of hardware lights, hueplusplus (the Hue lighting system, but I haven't tried it) and OpenRGB. I've been using OpenRGB on my computer to control all those LEDs and it has worked well. The package includes needed udev rules, but that could be split out if desired (is just a single file in the source tree).

Both packages required some unbundling, mbedtls for hueplusplus and json plus hueplusplus for OpenRGB. OpenRGB has other libraries in the dependencies folder, but as far as I can tell the others are either for different systems (Windows), or are modified/updated versions of other libraries. A few also just seem like smaller helper libraries that only live in there. Please let me know if I missed something though.

Thanks!
John